Initiate agent setup

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/setup
  • POST /s/{space_id}/api/fleet/agents/setup
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Kibana's anti Cross-Site Request Forgery token. Can be any string value.

Request body

admin_password string required
admin_username string required

Responses

OK

application/json
isInitialized boolean required
nonFatalErrors object[] required
message string required
name string required

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}